local class = require"engine.class"
local ActorTalents = require "engine.interface.ActorTalents"
local ActorTemporaryEffects = require "engine.interface.ActorTemporaryEffects"
local Birther = require "engine.Birther"
local DamageType = require "engine.DamageType"
local Map = require "engine.Map"

class:bindHook("Zone:create", function(self, data)
	if self.name == "Last Hope" then
	self.post_process = function(level)
		game:onTickEnd(function()
			local spot = game.level:pickSpot{type="pop-store", subtype="shop1"}
			local g = game.zone:makeEntityByName(game.level, "trap", "IMPLANT_STORE")
			game.zone:addEntity(game.level, g, "trap", 12, 24)
			game.nicer_tiles:updateAround(game.level, 12, 24)
			
			local spot = game.level:pickSpot{type="pop-store", subtype="shop2"}
			local g = game.zone:makeEntityByName(game.level, "trap", "STEAMSAW_STORE")
			game.zone:addEntity(game.level, g, "trap", 28, 13)
			game.nicer_tiles:updateAround(game.level, 28, 13)
			
			local spot = game.level:pickSpot{type="pop-store", subtype="shop3"}
			local g = game.zone:makeEntityByName(game.level, "trap", "STEAMGUN_STORE")
			game.zone:addEntity(game.level, g, "trap", 38, 29)
			game.nicer_tiles:updateAround(game.level, 38, 29)
			
			local spot = game.level:pickSpot{type="pop-store", subtype="shop4"}
			local g = game.zone:makeEntityByName(game.level, "trap", "SCHEMATIC_STORE")
			game.zone:addEntity(game.level, g, "trap", 29, 38)
			game.nicer_tiles:updateAround(game.level, 29, 38)
			end)
		end
	end
end)

class:bindHook("Entity:loadList", function(self, data)
	if data.file == '/data/zones/town-last-hope/traps.lua' then
		self:loadList('/data-tinkerlasthope/traps.lua', data.no_default, data.res, data.mod, data.loaded)
	end
	
	if data.file == '/data/general/stores/basic.lua' then
		self:loadList('/data-tinkerlasthope/stores.lua', data.no_default, data.res, data.mod, data.loaded)
	end
end)
